Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.configuration.wizard
Class WelcomeWizard1

    java.lang.Object
      ActionSupport
          com.atlassian.bamboo.ww2.BambooActionSupport
              com.atlassian.bamboo.webwork.AbstractAction
                  com.atlassian.bamboo.configuration.AbstractLicenseAction
                      com.atlassian.bamboo.configuration.AbstractConfigurationAction
                          com.atlassian.bamboo.configuration.wizard.WelcomeWizard1

All Implemented Interfaces:
  ErrorCollection, BambooSessionAware, ReturnUrlAware

    public class WelcomeWizard1

extends AbstractConfigurationAction

This class accepts the system configuration from the WelcomeWizard.

Field Summary
`static String` | `DEFAULT_EMAIL_PREFIX`
`static String` | `DEFAULT_FROM_EMAIL_ADDRESS`
`static String` | `DEFAULT_URL`

Fields inherited from class com.atlassian.bamboo.configuration.AbstractConfigurationAction
`SETUP_MARKER`

Fields inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`buildManager, CONFIRM, cookieCutter`

Constructor Summary
`WelcomeWizard1()`
`WelcomeWizard1(BootstrapManager bootstrapManager)`

Method Summary
`protected void` | `customPostProcess(AdministrationConfiguration administrationConfiguration)`
`String` | `doDefault()` Initialise the wizard's default values
`String` | `doExecute()` Update the system with the adimistration configuration.
`String` | `getBuildDirectory()`
`void` | `validate()` Place the user in the page context

Methods inherited from class com.atlassian.bamboo.configuration.AbstractConfigurationAction
`getAcceptRemoteApiCalls, getBaseUrl, getBuilderManager, getDefaultBaseUrl, getEmailSubjectPrefix, getFilePersister, getFromEmailAddress, getGzipCompression, getRepositoryPollingPeriod, getSmtpServer, setAcceptRemoteApiCalls, setBaseUrl, setBuildDirectory, setBuilderManager, setEmailSubjectPrefix, setFromEmailAddress, setGzipCompression, setRepositoryPollingPeriod, setSmtpServer`

Methods inherited from class com.atlassian.bamboo.configuration.AbstractLicenseAction
`getLicense, setLicense`

Methods inherited from class com.atlassian.bamboo.webwork.AbstractAction
`addFormErrors, execute, getAction, getAdministrationConfiguration, getBamboo, setAdministrationConfiguration`

Methods inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`addError, addError, addErrorCollection, addErrorMessage, addErrorMessages, addErrors, addIllegalArgumentException, doesLabelKeyHaveMatchingDescription, getAsPreformattedText, getBambooSession, getBreadCrumbs, getBuildManager, getConglomerateCookieValue, getCookieCutter, getCookieValue, getCurrentUrl, getDescriptionFromLabelKey, getFlushedErrorMessages, getReturnUrl, getUser, getWebItemsForSection, getWebResourceManager, getWebSectionsForLocation, hasAnyErrors, hasBuilds, hasPerm, isEnableSignup, isSelectFieldAndNull, setAuthenticationContext, setBambooPermissionManager, setBuildManager, setCookieCutter, setErrorMessages, setHtmlUtils, setReturnUrl, setWebInterfaceManager, setWebResourceManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.utils.error.ErrorCollection
`getErrorMessages, getErrors, getFieldErrors`

Field Detail

### DEFAULT_URL

    public static final String DEFAULT_URL

See Also:
  Constant Field Values

### DEFAULT_EMAIL_PREFIX

    public static final String DEFAULT_EMAIL_PREFIX

See Also:
  Constant Field Values

### DEFAULT_FROM_EMAIL_ADDRESS

    public static final String DEFAULT_FROM_EMAIL_ADDRESS

See Also:
  Constant Field Values

Constructor Detail

### WelcomeWizard1

    public WelcomeWizard1()

### WelcomeWizard1

    public WelcomeWizard1(BootstrapManager bootstrapManager)

Method Detail

### doDefault

    public String doDefault()

  Initialise the wizard's default values

  Overrides:
    `doDefault` in class `AbstractAction`
  Returns:
    The WebWork return status

### doExecute

    public String doExecute()
                     throws Exception

  Description copied from class: `AbstractConfigurationAction`
  Update the system with the adimistration configuration.

  Overrides:
    `doExecute` in class `AbstractConfigurationAction`
  Returns:
    WebWork status
  Throws:
    `Exception` - something nasty went wrong

### customPostProcess

    protected void customPostProcess(AdministrationConfiguration administrationConfiguration)

  Overrides:
    `customPostProcess` in class `AbstractConfigurationAction`

### getBuildDirectory

    public String getBuildDirectory()

  Overrides:
    `getBuildDirectory` in class `AbstractConfigurationAction`

### validate

    public void validate()

  Description copied from class: `AbstractAction`
  Place the user in the page context

  Overrides:
    `validate` in class `AbstractConfigurationAction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.